Bug 145558 - cman_tool version attempt without being joined into cluster will panic
cman_tool version attempt without being joined into cluster will panic
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cman (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 13:37 EST by Corey Marthaler
Modified: 2009-04-16 15:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-27 17:27:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-01-19 13:37:25 EST
Description of problem:
[root@morph-01 root]# modprobe cman
[root@morph-01 root]# cman_tool version -r 4
[Panic]


SYSLOG:
CMAN <CVS> (built Jan 18 2005 12:59:17) installed
Unable to handle kernel NULL pointer dereference at virtual address
00000014
 printing eip:
f8a4b1d8
*pde = 369ff001
Oops: 0000 [#1]
SMP
Modules linked in: cman(U) md5 ipv6 parport_pc lp parport autofs4
sunrpc e1000 microcode dm_mod uhci_hcd ehci_hcd button battery ac ext3
jbd qla2300 qla2xxx scsi_transport_fc sd_mod scsi_mod
CPU:    0
EIP:    0060:[<f8a4b1d8>]    Not tainted VLI
EFLAGS: 00010293   (2.6.9-5.ELsmp)
EIP is at kcl_sendmsg+0x1e/0xe3 [cman]
eax: 00000000   ebx: 00000000   ecx: ffffffea   edx: f630deec
esi: 00000008   edi: bfe37490   ebp: 00000000   esp: f630de9c
ds: 007b   es: 007b   ss: 0068
Process cman_tool (pid: 2323, threadinfo=f630d000 task=f62f0c30)
Stack: 00000000 f630deec f7c8f820 00ca1590 f6223804 f6bab680 00000001
00000000
       fffcf508 f69ff030 00ca1590 c0149094 f630deec ffffffa1 bfe37490
f630d000
       f8a4ee97 00000000 00000000 00000000 f62f0308 00000004 00000000
00000000
Call Trace:
 [<c0149094>] handle_mm_fault+0xbd/0x175
 [<f8a4ee97>] send_reconfigure+0x3f/0x44 [cman]
 [<c026a752>] sock_map_file+0x98/0x107
 [<f8a49489>] do_ioctl_set_version+0xb3/0xbd [cman]
 [<f8a4a51d>] cl_ioctl+0x2da/0x3e9 [cman]
 [<c026b23d>] sock_ioctl+0x28c/0x2b4
 [<c0164faa>] sys_ioctl+0x227/0x269
 [<c02c62a3>] syscall_call+0x7/0xb
Code: c7 89 f2 83 c4 10 89 d0 5b 5e 5f 5d c3 55 89 c5 57 56 89 ce b9
ea ff ff ff 53 83 ec 30 81 fe dc 05 00 00 89 54 24 04 8b 5c 24 4c <8b>
78 14 0f 8f b2 00 00 00 a1 38 3d a6 f8 b1 95 85 c0 0f 84 a3
 <0>Fatal exception: panic in 5 seconds
Kernel panic - not syncing: Fatal exception


How reproducible:
Always
Comment 1 Christine Caulfield 2005-01-20 05:40:16 EST
There were a few ioctls that need protection from this.

Checking in cnxman.c;
/cvs/cluster/cluster/cman-kernel/src/cnxman.c,v  <--  cnxman.c
new revision: 1.47; previous revision: 1.46
done
Checking in cnxman.c;
/cvs/cluster/cluster/cman-kernel/src/cnxman.c,v  <--  cnxman.c
new revision: 1.42.2.4; previous revision: 1.42.2.3
done
Comment 2 Corey Marthaler 2005-01-27 17:27:54 EST
fix verified.

Note You need to log in before you can comment on or make changes to this bug.